com.android.agf.database

## Class RelationDataSource

- java.lang.Object
- - com.android.agf.database.RelationDataSource

- All Implemented Interfaces:
    DataSource

      public class RelationDataSource
      extends Object
      implements DataSource

  classe per accedir a la taula de la relacio dins la base de dades
  Author:
    albert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelationDataSource(Context context)` constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` funcio per tancar la connecio amb la base de dades
    `void` | `delete(String nomId)` funcio per eliminar un registre de la taula
    `void` | `deleteAll(String id, String user, String dash)` funcio per eliminar tots els components associats a un dashboard
    `Cursor` | `getAllElements()` funcio per aconseguir tots els elements de la taula
    `Cursor` | `getElement(String nom)` funcio per aconseguir un element de la taula segons un identificador
    `Cursor` | `getUniqueElement(String id, String user, String dash)` funcio per aconseguir un unic component associat a un dashboard
    `void` | `insert(ContentValues cv)` funcio per introduir un registre a la taula
    `void` | `open()` funcio per obrir una connexio amb la base de dades
    `void` | `updateElement(ContentValues content, String id, String user, String dash)` funcio per actualitzar un unic component associat a un dashboard

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RelationDataSource

          public RelationDataSource(Context context)

      constructor
      Parameters:
        `context` -

  - ### Method Detail

    - #### open

          public void open()
                    throws SQLException

      Description copied from interface: `DataSource`
      funcio per obrir una connexio amb la base de dades
      Specified by:
        `open` in interface `DataSource`
      Throws:
        `SQLException`

    - #### close

          public void close()

      Description copied from interface: `DataSource`
      funcio per tancar la connecio amb la base de dades
      Specified by:
        `close` in interface `DataSource`

    - #### insert

          public void insert(ContentValues cv)

      Description copied from interface: `DataSource`
      funcio per introduir un registre a la taula
      Specified by:
        `insert` in interface `DataSource`

    - #### delete

          public void delete(String nomId)

      Description copied from interface: `DataSource`
      funcio per eliminar un registre de la taula
      Specified by:
        `delete` in interface `DataSource`

    - #### deleteAll

          public void deleteAll(String id,
                       String user,
                       String dash)

      funcio per eliminar tots els components associats a un dashboard
      Parameters:
        `id` -
        `user` -
        `dash` -

    - #### getAllElements

          public Cursor getAllElements()

      Description copied from interface: `DataSource`
      funcio per aconseguir tots els elements de la taula
      Specified by:
        `getAllElements` in interface `DataSource`
      Returns:

    - #### getElement

          public Cursor getElement(String nom)

      Description copied from interface: `DataSource`
      funcio per aconseguir un element de la taula segons un identificador
      Specified by:
        `getElement` in interface `DataSource`
      Returns:

    - #### getUniqueElement

          public Cursor getUniqueElement(String id,
                                String user,
                                String dash)

      funcio per aconseguir un unic component associat a un dashboard
      Parameters:
        `id` -
        `user` -
        `dash` -
      Returns:

    - #### updateElement

          public void updateElement(ContentValues content,
                           String id,
                           String user,
                           String dash)

      funcio per actualitzar un unic component associat a un dashboard
      Parameters:
        `content` -
        `id` -
        `user` -
        `dash` -